## kdepim 4.13.3

=== CMakeLists.txt ===
project(kdepim)

# where to look first for cmake modules. This line must be the first one or cmake will use the system's FindFoo.cmake
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")

############### Build Options ###############

option(KDEPIM_BUILD_EXAMPLES "Build the kdepim example applications." FALSE)
option(KDEPIM_BUILD_MOBILE "Build the mobile applications. Note that you have to enable KDEPIM_MOBILE_UI if you want to run these applications on a mobile device." TRUE)
option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)
option(KDEPIM_MOBILE_UI "Build UI for mobile devices instead of for desktops" FALSE)
option(KDEPIM_ONLY_KLEO "Only build Kleopatra. This option will build only libkleo and kleopatra" FALSE)
option(KDEPIM_BUILD_STATIC "Build KDEPIM static." FALSE)
option(KDEPIM_BUILD_DESKTOP "Build Desktop Applications. Can be deactivated for mobile" TRUE)
option(KDEPIM_NO_WEBKIT "Do not use WebKit in the kdepim applications" FALSE)

if(KDEPIM_BUILD_STATIC)
  set(LIBRARY_TYPE STATIC)
else()
  set(LIBRARY_TYPE SHARED)
endif()

add_definitions(-DQT_USE_QSTRINGBUILDER)
if(KDEPIM_NO_WEBKIT)
  add_definitions(-DKDEPIM_NO_WEBKIT)
endif()

if(KDEPIM_ENTERPRISE_BUILD)
  message(STATUS "Enterprise build is enabled.")
endif()

# if KDEPIM_ONLY_KLEO is defined, KDEPIM_BUILD_MOBILE and KDEPIM_MOBILE_UI are disabled.
if(KDEPIM_ONLY_KLEO)
 set(KDEPIM_BUILD_MOBILE FALSE)
 set(KDEPIM_MOBILE_UI FALSE)
 set(KDEPIM_DEFINITIONS "-DHAVE_CONFIG_H=1")
 message(STATUS "Only libkleo and Kleopatra will be built.")
endif()

if(KDEPIM_MOBILE_UI)
    # Build the mobile applications
    set(KDEPIM_BUILD_MOBILE TRUE)
endif()

# config-enterprise.h is needed for both ENTERPRISE_BUILD and BUILD_EVERYTHING
configure_file(config-enterprise.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-enterprise.h )

############### generate kdepim-version.h ###############
# Support for the GIT revision number in kdepim-version.h
if(EXISTS "${kdepim_SOURCE_DIR}/.git")
  find_package(Git)
  if(GIT_FOUND)
    message(STATUS "Found git: ${GIT_EXECUTABLE}")
    execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse --short HEAD
                    WORKING_DIRECTORY ${kdepim_SOURCE_DIR}
                    OUTPUT_VARIABLE kdepim_git_revision)
    string(REGEX REPLACE "\n" "" kdepim_git_revision "${kdepim_git_revision}")
    set(kdepim_git_revision "git-${kdepim_git_revision}")

    execute_process(COMMAND ${GIT_EXECUTABLE} log -1 --oneline --format=%ci
                    WORKING_DIRECTORY ${kdepim_SOURCE_DIR}
                    OUTPUT_VARIABLE kdepim_git_last_change)
    string(REGEX REPLACE " [-0-9:+ ]*\n" "" kdepim_git_last_change "${kdepim_git_last_change}")
  endif()
endif()

# KDEPIM_VERSION
# Version scheme: "x.y.z build".
#
# x is the version number.
# y is the major release number.
# z is the minor release number.
#
# "x.y.z" follow the kdelibs version kdepim is released with.
#
# If "z" is 0, the version is "x.y"
#
# KDEPIM_DEV_VERSION is empty for final versions.
# For development versions "build" is something like "pre", "alpha1", "alpha2", "beta1", "beta2", "rc1", "rc2".
#
# Examples in chronological order:
# 3.0, 3.0.1, 3.1 alpha1, 3.1 beta1, 3.1 beta2, 3.1 rc1, 3.1, 3.1.1, 3.2 pre, 3.2 alpha1

# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "4.13.3${KDEPIM_DEV_VERSION}")

configure_file(kdepim-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdepim-version.h @ONLY)

set(CMAKE_AUTOMOC ON)

############### search packages used by KDE ###############

find_package(KDE4 4.12.0 REQUIRED)
include(KDE4Defaults)

find_package(KdepimLibs 4.13.3)
set_package_properties(KdepimLibs PROPERTIES DESCRIPTION "The KDEPIM libraries" URL "http://www.kde.org" TYPE REQUIRED)

############### Load the CTest options ###############

# CMake is irritating and doesn't allow setting the tests timeout globally.
# Let's work around this. The global timeout is now 2 minutes.
set(_DartConfigFile "${CMAKE_BINARY_DIR}/DartConfiguration.tcl")
if(EXISTS ${_DartConfigFile})
  set(DartTestingTimeout "120")
  file(READ ${_DartConfigFile} _DartConfigFile_content)
  string(REGEX REPLACE "TimeOut: 1500" "TimeOut: ${DartTestingTimeout}" _DartConfigFile_content ${_DartConfigFile_content})
  file(WRITE ${_DartConfigFile} ${_DartConfigFile_content})
endif()

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake)

############### search Boost ###############

find_package(Boost 1.34.0)
set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "http://www.boost.org" TYPE REQUIRED PURPOSE "Boost is required for building most KDEPIM applications")

# Kleopatra needs to know if the topological.hpp header exists (part of Boost_graph).
find_path(Boost_TOPOLOGICAL_SORT_DIR NAMES boost/graph/topological_sort.hpp PATHS ${Boost_INCLUDE_DIRS})
if(Boost_TOPOLOGICAL_SORT_DIR)
  message(STATUS "The Boost Topological_sort header was found. Building Kleopatra")
else()
  message(STATUS "The Boost Topological_sort header was NOT found. Kleopatra will not be built")
endif()

############### Windows specific ###############

if(WIN32)
  # detect oxygen icon dir at configure time based on KDEDIRS - there may be different package installation locations
  execute_process(COMMAND "${KDE4_KDECONFIG_EXECUTABLE}" --path icon OUTPUT_VARIABLE _dir ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  file(TO_CMAKE_PATH "${_dir}" __dir)
  find_path(KDE4_ICON_DIR oxygen PATHS
    ${__dir}
  )
  message(STATUS "using oxygen application icons from ${KDE4_ICON_DIR}")
else()
    set (KDE4_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)
endif()

############### ONLY_KLEO ###############

# If the KDEPIM_ONLY_KLEO option is true
if(KDEPIM_ONLY_KLEO)
  find_package(QGpgme)
  set_package_properties(QGpgme PROPERTIES DESCRIPTION "The QGpgME library" URL "http://www.kde.org" TYPE REQUIRED PURPOSE "QGpgME is required to build Kleopatra.")

  add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${KDEPIM_DEFINITIONS})
  include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIRS} ${QT_QTDBUS_INCLUDE_DIR})
  include(kleopatra/ConfigureChecks.cmake)

  add_subdirectory(libkleo)
  if(Boost_TOPOLOGICAL_SORT_DIR)
    add_subdirectory(kleopatra)
  endif()
else()

# Otherwise...
############### Find the stuff we need ###############
  # Akonadi
  find_package(Akonadi 1.12.1 QUIET CONFIG)
  set_package_properties(Akonadi PROPERTIES DESCRIPTION "Akonadi server libraries" URL "http://pim.kde.org/akonadi" TYPE REQUIRED PURPOSE "Akonadi is required to build KDEPIM")

  find_package(ZLIB)
  set_package_properties(ZLIB PROPERTIES DESCRIPTION "The Zlib compression library" URL "http://www.zlib.net" TYPE REQUIRED)

  find_package(QGpgme)
  set_package_properties(QGpgme PROPERTIES DESCRIPTION "The QGpgMe library" URL "http://www.kde.org" TYPE RECOMMENDED PURPOSE "QGpgME is required to build KMail, KOrganizer and Kleopatra")

  find_package(Grantlee 0.3.0 QUIET CONFIG)
  set_package_properties(Grantlee PROPERTIES DESCRIPTION "The Grantlee Template System" URL "http://www.gitorious.org/grantlee/pages/Home" TYPE REQUIRED PURPOSE "Grantlee is requires for kmail and templating, theming for KJots, KaddressBook, KNotes and MessageViewer(KMail)." )

  find_package(Baloo 4.13.0 QUIET CONFIG)
  set_package_properties(Baloo PROPERTIES DESCRIPTION "The Baloo libraries" URL "http://www.kde.org" TYPE REQUIRED PURPOSE "Baloo provides search capabilities in KMail and Akonadi")

  # Xsltproc
  find_package(Xsltproc)
  set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces.")

  find_package(QJSON)
  set_package_properties(QJSON PROPERTIES DESCRIPTION "QJSON" URL "http://qjson.sourceforge.net/" TYPE REQUIRED PURPOSE "Qt library for handling JSON data")

  find_package(Prison QUIET CONFIG)
  set_package_properties(Prison PROPERTIES DESCRIPTION "The Prison library" URL "http://projects.kde.org/prison" TYPE OPTIONAL PURPOSE "Needed to show mobile barcodes of your contacts")

  # Libkgapi2
  find_package(LibKGAPI2 2.1.0 QUIET CONFIG)
  set_package_properties(LibKGAPI2 PROPERTIES DESCRIPTION "KDE-based library for accessing various Google services" URL "https://projects.kde.org/libkgapi" TYPE OPTIONAL PURPOSE "LibKGAPI is required to build Google Drive Storage Service")

  if( LibKGAPI2_FOUND )
    add_definitions( -DKDEPIM_STORAGESERVICE_GDRIVE )
  endif()



############### Desktop vs. Mobile options ##############

  if(KDEPIM_MOBILE_UI)
    add_definitions( -DKDEPIM_MOBILE_UI )
    if(NOT QT_QTDECLARATIVE_FOUND)
      message(FATAL_ERROR "The QtDeclarative (QML) module is required for building the mobile UI")
    endif()
  else()
    if(NOT QT_QTDECLARATIVE_FOUND)
      message(STATUS "The Qt Declarative (QML) module was not found. The mobile applications will not be built.")
      set(KDEPIM_BUILD_MOBILE FALSE)
    endif()
  endif()

############### Needed commands before building anything ###############

  add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} ${KDEPIM_DEFINITIONS} ${AKONADI_DEFINITIONS})

  include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDEPIMLIBS_INCLUDE_DIRS} ${KDE4_INCLUDES} ${QT_QTDBUS_INCLUDE_DIR} ${Boost_INCLUDE_DIR})

  if(NOT KDEPIMLIBS_KRESOURCES_LIBRARY)
    add_definitions( -DKDEPIM_NO_KRESOURCES )
  endif()


############### Now, we add the PIM components ###############

  include (kleopatra/ConfigureChecks.cmake)

  # These targets will always be built before anything else.

  add_subdirectory(noteshared)
  add_subdirectory(akonadi_next)
  add_subdirectory(libkdepim)
  add_subdirectory(calendarsupport)
  add_subdirectory(calendarviews)
  add_subdirectory(incidenceeditor-ng)
  add_subdirectory(libkdepimdbusinterfaces)
  add_subdirectory(libkleo)
  add_subdirectory(libkpgp)
  add_subdirectory(libksieve)
  add_subdirectory(kdgantt2)
  add_subdirectory(icons)
  add_subdirectory(composereditor-ng)
  add_subdirectory(messagecore)
  add_subdirectory(grantleetheme)
  add_subdirectory(messagelist)
  add_subdirectory(templateparser)

  if(QGPGME_FOUND)
    if(Boost_TOPOLOGICAL_SORT_DIR)
      macro_optional_add_subdirectory(kleopatra)
    endif()
  endif()

  # The following components depend on QGpgME.
  add_subdirectory(messageviewer)
  macro_optional_add_subdirectory(messagecomposer)
  add_subdirectory(pimcommon)
  add_subdirectory(mailcommon) # TODO: does this make sense?!?
  macro_optional_add_subdirectory(kmail)
  macro_optional_add_subdirectory(headerthemeeditor)
  macro_optional_add_subdirectory(contactthemeeditor)
  add_subdirectory(grantleethemeeditor)

  if(KDEPIM_BUILD_MOBILE)
    add_subdirectory(mobile)
  endif()

  if(KDEPIM_BUILD_EXAMPLES)
    add_subdirectory(examples)
  endif()

  # If kmail is compiled, KMAIL_SUPPORTED is true (used in several places)
  if(BUILD_kmail)
    set(KMAIL_SUPPORTED TRUE)
    add_definitions(-DKMAIL_SUPPORTED)
  endif()

  macro_optional_add_subdirectory(korganizer)
  macro_optional_add_subdirectory(korgac)
  macro_optional_add_subdirectory(sieveeditor)
  macro_optional_add_subdirectory(storageservicemanager)
  add_subdirectory(kaddressbookgrantlee)
  if(KDEPIM_BUILD_DESKTOP)
    macro_optional_add_subdirectory(agents)
    macro_optional_add_subdirectory(akregator)
    macro_optional_add_subdirectory(importwizard)
    macro_optional_add_subdirectory(kaddressbook)
    macro_optional_add_subdirectory(kmailcvt)
    macro_optional_add_subdirectory(mboximporter)
    macro_optional_add_subdirectory(knotes)
    macro_optional_add_subdirectory(ksendemail)

=== agents/CMakeLists.txt ===
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions( -DQT_NO_CAST_FROM_BYTEARRAY )

add_subdirectory(sendlateragent)
add_subdirectory(archivemailagent)
add_subdirectory(mailfilteragent)
add_subdirectory(notesagent)
install(FILES folderarchiveagent.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents")

=== akonadi_next/CMakeLists.txt ===
project(akonadi_next)

if(CMAKE_SOURCE_DIR STREQUAL "${akonadi_next_SOURCE_DIR}")
  find_package(KDE4 REQUIRED)
  include(KDE4Defaults)
  find_package(Akonadi REQUIRED)
  find_package(KdepimLibs REQUIRED)
endif()

include_directories(
  ${AKONADI_INCLUDE_DIR}
  ${KDE4_INCLUDES}
  ${KDEPIMLIBS_INCLUDE_DIR}
  ${QT_INCLUDES}
  ${Boost_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )


set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

set(akonadi_next_SRCS
  note.cpp
  notecreatorandselector.cpp
  quotacolorproxymodel.cpp
  kcolumnfilterproxymodel.cpp
  amazingcompleter.cpp
  amazingdelegate.cpp
)

kde4_add_library(akonadi_next ${LIBRARY_TYPE} ${akonadi_next_SRCS})

target_link_libraries(akonadi_next
  ${AKONADI_COMMON_LIBRARIES}
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDEPIMLIBS_KABC_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
)

set_target_properties(akonadi_next PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})

install(TARGETS akonadi_next ${INSTALL_TARGETS_DEFAULT_ARGS})

=== akonadiconsole/CMakeLists.txt ===
project(akonadiconsole)

include_directories(
  ${AKONADI_INCLUDE_DIR}
  ${Boost_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}/libkdepim/
  ${CMAKE_SOURCE_DIR}/messageviewer/
)

include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

set(akonadiconsole_bin_SRCS
  agentwidget.cpp
  agentconfigdialog.cpp
  agentconfigmodel.cpp
  akonadibrowsermodel.cpp
  browserwidget.cpp
  collectionattributespage.cpp
  collectioninternalspage.cpp
  collectionaclpage.cpp
  connectionpage.cpp
  dbaccess.cpp
  dbbrowser.cpp
  dbconsole.cpp
  debugwidget.cpp
  instanceselector.cpp
  main.cpp
  mainwidget.cpp
  mainwindow.cpp
  monitorswidget.cpp
  monitorsmodel.cpp
  monitoritem.cpp
  notificationmodel.cpp
  notificationmonitor.cpp
  rawsocketconsole.cpp
  searchdialog.cpp
  searchwidget.cpp
  querydebugger.cpp
  jobtracker.cpp
  jobtrackerwidget.cpp
  jobtrackermodel.cpp
)

qt4_generate_dbus_interface(jobtracker.h org.freedesktop.Akonadi.JobTracker.xml)
qt4_add_dbus_adaptor(akonadiconsole_bin_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.JobTracker.xml jobtracker.h JobTracker)

qt4_add_dbus_interfaces(akonadiconsole_bin_SRCS
  ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.TracerNotification.xml
)
# Use intalled interface once we can depend on Akoandi 1.1
set_source_files_properties(org.freedesktop.Akonadi.DebugInterface.xml PROPERTIES CLASSNAME DebugInterface)
qt4_add_dbus_interface(akonadiconsole_bin_SRCS
  org.freedesktop.Akonadi.DebugInterface.xml
  debuginterface
)

set_source_files_properties(${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.NotificationManager.xml
  PROPERTIES INCLUDE "akonadi/private/notificationmessage_p.h")

set_source_files_properties(${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.NotificationSource.xml
  PROPERTIES INCLUDE "akonadi/private/notificationmessagev3_p.h")

qt4_add_dbus_interface(akonadiconsole_bin_SRCS
  ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.NotificationManager.xml
  notificationmanagerinterface
)

qt4_add_dbus_interface(akonadiconsole_bin_SRCS
  ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.NotificationSource.xml
  notificationsourceinterface
)

qt4_add_dbus_interface(akonadiconsole_bin_SRCS
  ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.StorageDebugger.xml
  storagedebuggerinterface
)

kde4_add_ui_files(akonadiconsole_bin_SRCS
  agentwidget.ui
  agentconfigdialog.ui
  browserwidget_itemview.ui
  collectionattributespage.ui
  collectionaclpage.ui
  dbbrowser.ui
  dbconsole.ui
  instanceselector.ui
  rawsocketconsole.ui
  browserwidget_contentview.ui
  collectioninternalspage.ui
)

kde4_add_app_icon(akonadiconsole_bin_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-app-akonadiconsole.png")

kde4_add_executable(akonadiconsole_bin ${akonadiconsole_bin_SRCS})
set_target_properties(akonadiconsole_bin PROPERTIES OUTPUT_NAME akonadiconsole)

target_link_libraries(akonadiconsole_bin
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_AKONADI_CONTACT_LIBS}
  akonadi_next
  ${KDEPIMLIBS_AKONADI_KMIME_LIBS}
  calendarsupport
  ${KDEPIMLIBS_KCALCORE_LIBS}
  kdepim
  messageviewer
  ${KDE4_KCMUTILS_LIBS}
  ${KDE4_KIO_LIBS}
  ${QT_QTSQL_LIBRARY}
  ${QT_QTNETWORK_LIBRARY}
  ${AKONADI_COMMON_LIBRARIES}
)

install(TARGETS akonadiconsole_bin ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS akonadiconsole.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES akonadiconsoleui.rc DESTINATION ${DATA_INSTALL_DIR}/akonadiconsole)

add_subdirectory(icons)

=== akregator/CMakeLists.txt ===
include(CheckTypeSize)
check_type_size("long" SIZEOF_LONG)
configure_file(config-akregator.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-akregator.h)

add_subdirectory(export)
add_subdirectory(interfaces)
add_subdirectory(plugins)
add_subdirectory(configuration)
add_subdirectory(src)

=== calendarviews/CMakeLists.txt ===
# The following macros can be defined to alter behavior.
# (if desired, use add_definitions() to define them)
#
# EVENTVIEWS_NODECOS - turns-off decoration plugins in views.
#                No idea why you would want to define this, perhaps to save
#                screen real estate? But there are a config options for that.

project(calendarView)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )


if(KDEPIM_BUILD_EXAMPLES)
  add_subdirectory(viewerapp)
endif()

option(EVENTVIEWS_NODECOS "Turn-off decoration plugins in views." FALSE)

if(EVENTVIEWS_NODECOS)
  add_definitions(-DEVENTVIEWS_NODECOS)
endif()

include_directories(
  ${Boost_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}/akonadi_next
  ${CMAKE_SOURCE_DIR}/calendarsupport
  ${CMAKE_BINARY_DIR}/calendarsupport
  ${CMAKE_SOURCE_DIR}/calendarviews
  ${CMAKE_SOURCE_DIR}/libkdepim/
  ${ZLIB_INCLUDE_DIRS}
)

if(KDEPIM_MOBILE_UI)
  add_definitions(-DKORG_NODND)
endif()

########### next target ###############

set(eventviews_LIB_SRCS
  eventview_p.cpp
  eventview.cpp
  helper.cpp
  prefs.cpp

  # Agenda view specific code.
  agenda/agenda.cpp
  agenda/agendaitem.cpp
  agenda/agendaview.cpp
  agenda/alternatelabel.cpp
  agenda/calendardecoration.cpp
  agenda/decorationlabel.cpp
  agenda/timelabels.cpp
  agenda/timelabelszone.cpp
  agenda/timescaleconfigdialog.cpp

  journal/journalframe.cpp
  journal/journalview.cpp

  list/listview.cpp

  month/monthgraphicsitems.cpp
  month/monthitem.cpp
  month/monthscene.cpp
  month/monthview.cpp

  multiagenda/multiagendaview.cpp

  todo/tododelegates.cpp
  todo/todomodel.cpp
  todo/incidencetreemodel.cpp

  todo/todoviewquickaddline.cpp
  todo/todoviewquicksearch.cpp
  todo/todoviewsortfilterproxymodel.cpp
  todo/todoviewview.cpp
  todo/todoview.cpp

  timeline/timelineview.cpp
  timeline/timelineitem.cpp
  timeline/timelineview_p.cpp

  timespent/timespentview.cpp

  whatsnext/whatsnextview.cpp
)

kde4_add_kcfg_files(eventviews_LIB_SRCS prefs_base.kcfgc)

kde4_add_ui_files(eventviews_LIB_SRCS
  agenda/timescaleedit_base.ui
)

kde4_add_library(eventviews ${LIBRARY_TYPE} ${eventviews_LIB_SRCS})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

target_link_libraries(eventviews
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTUITOOLS_LIBRARY}
  ${KDE4_KDEUI_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
  ${KDE4_KCMUTILS_LIBS}
  ${ZLIB_LIBRARIES}
  ${KDEPIMLIBS_KPIMIDENTITIES_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_KHOLIDAYS_LIBS}
  kdepim
  kdgantt2
  calendarsupport
  akonadi_next
  ${KDEPIMLIBS_KCALCORE_LIBS}
  ${KDEPIMLIBS_KCALUTILS_LIBS}
  akonadi-calendar
)

set_target_properties(eventviews PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
install(TARGETS eventviews ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES agenda/calendardecoration.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== console/CMakeLists.txt ===
project(console)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

add_subdirectory(calendarjanitor)
add_subdirectory(konsolekalendar)

if (KDEPIMLIBS_KRESOURCES_LIBS)
  add_subdirectory(kabcclient)
endif ()

=== contactthemeeditor/CMakeLists.txt ===
project( contactthemeeditor )

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

include_directories(
  ${CMAKE_SOURCE_DIR}/pimcommon/
  ${CMAKE_SOURCE_DIR}/grantleethemeeditor
  ${CMAKE_SOURCE_DIR}/kaddressbookgrantlee
)


set(contactthemeeditor_SRCS
  main.cpp
  defaultcompletion.cpp
  contactdefaulttemplate.cpp
  contacteditorwidget.cpp
  contacttemplatewidget.cpp
  contacteditormainwindow.cpp
  previewwidget.cpp
  editorpage.cpp
  contacteditorpage.cpp
  contactconfigurationdialog.cpp
  contacteditorutil.cpp
  contactpreviewwidget.cpp
)


kde4_add_executable(contactthemeeditor ${contactthemeeditor_SRCS} )
TARGET_LINK_LIBRARIES(contactthemeeditor 
                       ${KDEPIMLIBS_KMIME_LIBS} 
                       ${KDE4_KDEUI_LIBS} 
                       ${KDEPIMLIBS_KPIMTEXTEDIT_LIBS} 
                       ${KDE4_KIO_LIBS} 
                       ${KDE4_KNEWSTUFF3_LIBS} 
                       ${KDEPIMLIBS_AKONADI_CONTACT_LIBS}
                       pimcommon 
                       grantleethemeeditor 
                       kaddressbookgrantlee
)

install(TARGETS contactthemeeditor ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  contactthemeeditorui.rc
  DESTINATION  ${DATA_INSTALL_DIR}/contactthemeeditor)

install(PROGRAMS contactthemeeditor.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== doc/CMakeLists.txt ===
if(BUILD_akregator)
  add_subdirectory(akregator)
endif()

if(BUILD_blogilo)
  add_subdirectory(blogilo)
endif()

if(BUILD_console)
  add_subdirectory(kabcclient)
  add_subdirectory(konsolekalendar)
endif()

if(BUILD_kalarm)
  add_subdirectory(kalarm)
endif()

add_subdirectory(kioslave)

if (BUILD_kjots)
  add_subdirectory(kjots)
endif ()

if(BUILD_kleopatra)
  add_subdirectory(kleopatra)
  add_subdirectory(kwatchgnupg)
endif()

if(BUILD_kmail)
  add_subdirectory(kmail)
  if(BUILD_korganizer)
    add_subdirectory(korganizer)
  endif()
endif()

if(BUILD_knode)
  add_subdirectory(knode)
endif()

if(BUILD_knotes)
  add_subdirectory(knotes)
endif()

if(BUILD_kontact)
  add_subdirectory(kontact)
  add_subdirectory(kontact-admin)
endif()

if(BUILD_ktimetracker)
  add_subdirectory(ktimetracker)
endif()

if(BUILD_ktnef)
  add_subdirectory(ktnef)
endif()

if(BUILD_headerthemeeditor)
  add_subdirectory(headerthemeeditor)
endif()

if(BUILD_agents)
  add_subdirectory(akonadi_archivemail_agent)
  add_subdirectory(akonadi_sendlater_agent)
  add_subdirectory(akonadi_notes_agent)
endif()

if(BUILD_importwizard)
  add_subdirectory(importwizard)
endif()

if(BUILD_pimsettingexporter)
  add_subdirectory(pimsettingexporter)
endif()

if(BUILD_kmailcvt)
  add_subdirectory(kmailcvt)
endif()

if(BUILD_sieveeditor)
  add_subdirectory(sieveeditor)
endif()

if(BUILD_contactthemeeditor)
  add_subdirectory(contactthemeeditor)
endif()

=== grantleethemeeditor/CMakeLists.txt ===
project(grantleethemeeditor)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

include_directories(
  ${CMAKE_SOURCE_DIR}/pimcommon/
)


set(libgrantleethemeeditor_SRCS 
    newthemedialog.cpp 
    themeeditortabwidget.cpp 
    managethemes.cpp 
    themesession.cpp 
    editorwidget.cpp 
    desktopfilepage.cpp 
    editorpage.cpp
    previewwidget.cpp
    configurewidget.cpp
    grantleeplaintexteditor.cpp
)

kde4_add_kcfg_files(libgrantleethemeeditor_SRCS
  settings/globalsettings_base.kcfgc
)

kde4_add_ui_files(libgrantleethemeeditor_SRCS
    ui/configurewidget.ui
)


kde4_add_library(grantleethemeeditor ${LIBRARY_TYPE} ${libgrantleethemeeditor_SRCS})

target_link_libraries(grantleethemeeditor  ${QT_QTCORE_LIBRARY} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KPIMTEXTEDIT_LIBS} pimcommon
)

set_target_properties(grantleethemeeditor PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
install(TARGETS grantleethemeeditor ${INSTALL_TARGETS_DEFAULT_ARGS})

=== headerthemeeditor/CMakeLists.txt ===
project( headerthemeeditor )

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

include_directories(
  ${CMAKE_SOURCE_DIR}/messageviewer
  ${CMAKE_SOURCE_DIR}/pimcommon/
  ${CMAKE_SOURCE_DIR}/grantleethemeeditor
)


set(headerthemeeditor_SRCS
  main.cpp
  themeeditormainwindow.cpp 
  themeeditorpage.cpp
  previewwidget.cpp
  editorpage.cpp
  themetemplatewidget.cpp
  themedefaulttemplate.cpp
  defaultcompletion.cpp
  themeconfiguredialog.cpp
  themeeditorutil.cpp
  themeeditorwidget.cpp
)


kde4_add_executable(headerthemeeditor ${headerthemeeditor_SRCS} )
TARGET_LINK_LIBRARIES(headerthemeeditor ${KDEPIMLIBS_KMIME_LIBS} ${KDE4_KDEUI_LIBS} ${KDEPIMLIBS_KPIMTEXTEDIT_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KNEWSTUFF3_LIBS} pimcommon messageviewer grantleethemeeditor)

install(TARGETS headerthemeeditor ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES
  headerthemeeditorui.rc
  DESTINATION  ${DATA_INSTALL_DIR}/headerthemeeditor)

install(PROGRAMS headerthemeeditor.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== importwizard/CMakeLists.txt ===
project(importwizard)

add_subdirectory(icons)

set(importwizard_SRCS
abstractbase.cpp
importwizardkernel.cpp
selectprogrampage.cpp
importaddressbookpage.cpp
importfilterpage.cpp
importmailpage.cpp
importsettingpage.cpp
importwizard.cpp
importfinishpage.cpp
main.cpp
abstractimporter.cpp
selectcomponentpage.cpp
importfilterinfogui.cpp
abstractsettings.cpp
abstractaddressbook.cpp
abstractcalendar.cpp
importcalendarpage.cpp
importwizardutil.cpp
thunderbird/thunderbirdimportdata.cpp
thunderbird/thunderbirdsettings.cpp
thunderbird/thunderbirdaddressbook.cpp
thunderbird/addressbook/MorkParser.cpp
sylpheed/sylpheedimportdata.cpp
sylpheed/sylpheedsettings.cpp
sylpheed/sylpheedaddressbook.cpp
sylpheed/sylpheedsettingsutils.cpp
evolutionv3/evolutionv3importdata.cpp
evolutionv3/evolutionsettings.cpp
evolutionv3/evolutioncalendar.cpp
evolutionv3/evolutionaddressbook.cpp
evolutionv3/evolutionutil.cpp
evolutionv2/evolutionv2importdata.cpp
evolutionv1/evolutionv1importdata.cpp
opera/operaimportdata.cpp
opera/operaaddressbook.cpp
opera/operasettings.cpp
oe/oeimportdata.cpp
mailapp/mailappimportdata.cpp
pmail/pmailimportdata.cpp
pmail/pmailsettings.cpp
thebat/thebatimportdata.cpp
balsa/balsaimportdata.cpp
balsa/balsasettings.cpp
balsa/balsaaddressbook.cpp
claws-mail/clawsmailimportdata.cpp
claws-mail/clawsmailsettings.cpp
claws-mail/clawsmailaddressbook.cpp
trojita/trojitasettings.cpp
trojita/trojitaimportdata.cpp
trojita/trojitaaddressbook.cpp
kmail1/kmail1importdata.cpp
kmail1/kmail1settings.cpp
)

include_directories(${CMAKE_SOURCE_DIR}/mailimporter 
                    ${CMAKE_SOURCE_DIR}/mailcommon 
		    ${CMAKE_SOURCE_DIR}/pimcommon
                    ${CMAKE_SOURCE_DIR}/messagecomposer/
		    ${CMAKE_SOURCE_DIR}/mailcommon/filter/
                    ${CMAKE_SOURCE_DIR}/messageviewer/
		    ${CMAKE_SOURCE_DIR}/libkdepim/
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

kde4_add_ui_files(importwizard_SRCS 
                  ui/selectprogrampage.ui
                  ui/importaddressbookpage.ui
                  ui/importfilterpage.ui
                  ui/importmailpage.ui
                  ui/importsettingpage.ui
                  ui/selectcomponentpage.ui 
		  ui/importfinishpage.ui 
		  ui/importcalendarpage.ui)

kde4_add_app_icon(importwizard_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-app-kontact-import-wizard.png")

kde4_add_executable(importwizard ${importwizard_SRCS})

target_link_libraries(importwizard
  ${KDE4_KIO_LIBS}
  ${KDEPIMLIBS_AKONADI_LIBS}
  ${KDEPIMLIBS_AKONADI_KMIME_LIBS}
  ${KDEPIMLIBS_KMIME_LIBS}
  ${KDEPIMLIBS_KPIMUTILS_LIBS}
  ${KDEPIMLIBS_MAILTRANSPORT_LIBS}
  mailimporter
  pimcommon
  mailcommon
  kdepim
  messagecomposer
  messageviewer
)

install(TARGETS importwizard  ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS importwizard.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
kdepim (4:4.13.3-0ubuntu0.2) trusty-security; urgency=medium

  * SECURITY UPDATE: Send Later with Delay bypasses OpenPGP (LP: #1698180):
    - fix-CVE-2017-9604.patch
    - CVE-2017-9604

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Mar 2018 11:02:11 -0500

kdepim (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:26:09 +0200

kdepim (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:47:46 +0200

kdepim (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)
    - Add kubuntu_revert_9fed45112711cf203a03ba3b3ed5ca0ee796c836.diff and
      kubuntu_revert_e6ebd9b593dfd366b8c57932cc3167a8a3ec5b3b.diff to prevent
      the removal of libgrammar4 and libpimactivity4

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:50:43 +0200

=== debian/control ===
Source: kdepim
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 Michael Meskes <meskes@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>, Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.13.3), libphonon-dev (>= 4:4.6.0really4.3.80),
 pkg-config,
 libgpgme11-dev, libboost1.54-dev (>= 1.40.0-2), libboost-graph1.54-dev (>= 1.40.0-2), libsasl2-dev,
 xsltproc, libxss-dev, libqca2-dev (>= 2.0.0), libassuan-dev,
 libstreams-dev (>= 0.6.3), libstreamanalyzer-dev (>= 0.6.3), libsearchclient-dev (>= 0.6.3),
 libstrigihtmlgui-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3), zlib1g-dev,
 libakonadi-dev (>= 1.7.2), shared-desktop-ontologies (>= 0.6.50),
 libgrantlee-dev, libqtwebkit-dev, libqt4-opengl-dev, libprison-dev,
 libindicate-qt-dev, libxml2-dev, sharutils,
 libkactivities-dev (>= 4:4.13.3), liblink-grammar4-dev, libqjson-dev, baloo-dev (>= 4:4.13.3),
 libkgapi-dev (>= 2.1.0)
Build-Depends-Indep: dblatex
Standards-Version: 3.9.3
Homepage: http://pim.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepim.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepim.git

Package: kdepim
Section: metapackages
Architecture: all
Depends: ${misc:Depends}, akregator (>= ${source:Version}), kaddressbook (>= ${source:Version}),
 kalarm (>= ${source:Version}), kdepim-kresources (>= ${source:Version}), 
 kmail (>= ${source:Version}), knode (>= ${source:Version}), knotes (>= ${source:Version}),
 konsolekalendar (>= ${source:Version}), kontact (>= ${source:Version}), korganizer (>= ${source:Version}),
 ktimetracker (>= ${source:Version}), kjots (>= ${source:Version}),
 kleopatra (>= ${source:Version}), blogilo (>= ${source:Version}),
 kde-config-pimactivity (>= ${source:Version}),
 akonadiconsole (>= ${source:Version}), kdepim-runtime
Description: Personal Information Management apps from the official KDE release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) desktop applications provided with the official release of KDE.

Package: kdepim-mobile
Section: metapackages
Architecture: all
Depends: ${misc:Depends}, kaddressbook-mobile (>= ${source:Version}),
 kmail-mobile (>= ${source:Version}), korganizer-mobile (>= ${source:Version}),
 notes-mobile (>= ${source:Version}), tasks-mobile (>= ${source:Version})
Description: Personal Information Management apps for mobile environments
 This metapackage includes a collection of official KDE Personal Information
 Management (PIM) applications which have been designed for use in the mobile
 environments. Their feature set and user interface focus on convenience and
 ease of use with touchscreen and potentially small size displays.

Package: kdepim-dev
Architecture: any
Depends: kdepim-runtime, akregator (>= ${binary:Version}),
 kaddressbook (>= ${binary:Version}), kalarm (>= ${binary:Version}),
 kdepim-kresources (>= ${binary:Version}), kjots (>= ${binary:Version}),
 kmail (>= ${binary:Version}),
 knode (>= ${binary:Version}), knotes (>= ${binary:Version}),
 konsolekalendar (>= ${binary:Version}),
 kontact (>= ${binary:Version}), korganizer (>= ${binary:Version}),
 ktimetracker (>= ${binary:Version}), kde-config-pimactivity (>= ${binary:Version}),
 libkdepim4 (= ${binary:Version}), libpimcommon4 (= ${binary:Version}),
 kdepimlibs5-dev (>= 4:4.13.3), libphonon-dev (>= 4:4.6.0really4.3.80),
 libgpgme11-dev, libboost1.54-dev, libboost-graph1.54-dev, libsasl2-dev, libxss-dev,
 libqca2-dev (>= 2.0.0), libpisock-dev, libassuan-dev, libstreams-dev,
 libstreamanalyzer-dev, libsearchclient-dev, libstrigihtmlgui-dev,
 libstrigiqtdbusclient-dev, zlib1g-dev, libakonadi-dev (>= 1.2.80),
 ${shlibs:Depends}
Conflicts: kmail (<= 4:4.2.1)
Replaces: kmail (<= 4:4.2.1)
Description: Contains development files needed to compile kdepim applications.
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information

Package: kdepim-doc
Section: doc
Architecture: all
Suggests: konqueror | www-browser, doc-base
Description: KDE Personal Information Management library documentation
 KDE core library documentation. You need this documentation to develop KDE PIM
 applications.
 .
 This package is part of KDE, and a component of the KDE PIM module.
 See the 'kde' and 'kdepim' packages for more information.

Package: akregator
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: kontact (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80)
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator 
 Akregator is a news feed reader. It enables you to follow  
 news sites, blogs and other RSS/Atom-enabled websites without the need to 
 manually check for updates using a web browser. Akregator is designed to be 
 both easy to use and to be powerful enough to read hundreds of news sources 
 conveniently. It comes with Konqueror integration for adding news feeds and 
 with an internal browser for easy news reading.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdepim-kresources
Breaks: korganizer (<< 4:4.1.80), kontact (<< 4:4.1.80)
Replaces: korganizer (<< 4:4.1.80), kontact (<< 4:4.1.80)
Description: address book and contact data manager
 KAddressBook enables you to manage your contacts efficiently and comfortably. 
 It can load and save your contacts to many different locations, including 
 the local file system, LDAP servers, and SQL databases.
 .
 This package is part of the KDE PIM module.

Package: kaddressbook-mobile
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdepim-kresources
Description: address book and contact data manager for mobile environments
 This package provides a convenient application for managing your addresses and
 contacts on mobile devices. It focuses on usability with touchscreen displays
 and potentially small screen sizes.
 .
 This package is part of the KDE PIM module.

Package: kalarm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: jovie
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 This package is part of the KDE PIM module.

Package: kdepim-kresources
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: korganizer
Suggests: knotes
Breaks: korganizer (<< 4:4.1.80)
Replaces: korganizer (<< 4:4.1.80)
Description: KDE PIM resource plugins
 This package adds more resource plugins for KDE PIM applications such as
 blogging, tracking feature plans etc.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: storageservicemanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE PIM storage servicce
 This package adds storage plugins for KDE PIM applications such as
 google-drive and dropbox.
 .
 This package is part of KDE, and a component of the KDE PIM module.

Package: kleopatra
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 gnupg-agent, gnupg2, gpgsm, dirmngr, pinentry-qt4
Description: certificate Manager
 Kleopatra is a tool for managing X.509 certificates and pgp keys.
 .
 This package is part of the KDE PIM module.

Package: kmail
Section: mail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: gnupg2, gnupg-agent, pinentry-qt4, kde-config-pimactivity
Suggests: kaddressbook, kleopatra, spamassassin | bogofilter | annoyance-filter | spambayes | bsfilter | crm114, clamav, procmail
Breaks: kmailcvt (<< 4:3.90.0), akonadi-kde (<< 4:4.1.3), kontact (<< 4:4.1.80), ktnef, libkpgp4 (<< 4:4.10.50), libmessageviewer4 (<< 4:4.10.50)
Replaces: kmailcvt (<< 4:3.90.0), akonadi-kde (<< 4:4.1.3), kontact (<< 4:4.1.80), ktnef, libkpgp4 (<< 4:4.10.50), libmessageviewer4 (<< 4:4.10.50)
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/
Description: full featured graphical email client
 KMail is a fully-featured email client that fits nicely into the KDE
 desktop. It has features such as support for IMAP, POP3, multiple accounts,
 mail filtering and sorting, PGP/GnuPG privacy, and inline attachments.
 .
 This package also contains Nepomuk EMail Feeder Akonadi Agent.
 .
 This package is part of the KDE PIM module.

Package: kmail-mobile
Section: mail
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: email client for mobile environments
 This package provides an email client which has been specially designed for
 use on mobile devices. It focuses on usability with touchscreen displays and
 potentially small screen sizes.
 .
 This package is part of the KDE PIM module.

Package: knode
Section: news
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepim-runtime
Breaks: kdepim-dev (<< 4:3.4.0), kontact (<< 4:4.1.80), libkpgp4 (<< 4:4.10.50)
Replaces: kdepim-dev (<< 4:3.4.0), kontact (<< 4:4.1.80), libkpgp4 (<< 4:4.10.50)
Provides: news-reader
Homepage: http://kontact.kde.org/knode/
Description: graphical news reader
 KNode is an easy-to-use, convenient newsreader. It is intended to be usable
 by inexperienced users, but also includes support for such features as
 MIME attachments, article scoring, and creating and verifying GnuPG
 signatures.
 .
 This package is part of the KDE PIM module.

Package: knotes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepim-runtime
Suggests: kdepim-kresources
Breaks: kontact (<< 4:4.1.80)
Replaces: kontact (<< 4:4.1.80)
Description: sticky notes application
 KNotes is a program that lets you write sticky notes. The notes are saved
 automatically when you exit the program, and they display when you open the
 program.  The program supports printing and mailing your notes.
 .
 This package is part of the KDE PIM module.

Package: notes-mobile
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: knotes-mobile
Breaks: knotes-mobile
Description: notes application for mobile environments
 This package provides notes taking application which has been specially
 designed for use on mobile devices. Its user interface aims to make it easy to
 write and manage sticky notes via touchscreen and potentially small size
 displays.
 .
 This package is part of the KDE PIM module.

Package: konsolekalendar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepim-runtime
Description: konsole personal organizer
 KonsoleKalendar is a command-line interface to KDE calendars.
 KonsoleKalendar complements KOrganizer by providing a console
 frontend to manage your calendars.
 .

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kdepim-([\d\.]*).tar.xz
